#include "jstrings.h"
#include <locale.h>


//#define DEBUG 
//
int main(int argc, char *argv[]) {
	unsigned long offset = 0;
	int ch;

	/* Setting the locale */
	setlocale(LC_ALL, "");

	/* set "stdin" to binary mode */
	{
		int result;

		result = _setmode( _fileno( stdin ), _O_BINARY );
		if( result == -1 )
			perror( "_setmode(): failed" );
	}

	/* Parse arguments */
	my_getopts(argc, argv);

#ifdef DEBUG
	{
		FILE* fp;
		unsigned char c;
		fp = fopen( "C:\\TEMP\\NTFSJP.DD", "rb" );

		while (fread(&c, 1, 1, fp)) {
			if (!strings_ascii((unsigned char)(c & 0xFF), &offset))
				strings_ascii('\n', NULL);
			if (!strings_cp932((unsigned char)(c & 0xFF), &offset))
				strings_cp932('\n', NULL);
//			if (!strings_eucjp((unsigned char)(c & 0xFF), &offset))
//				strings_eucjp('\n', NULL);
			offset++;
		}
	}

#else
	while ((ch = getchar()) != EOF) {
		if (stOptions.ascii) {
			if (!strings_ascii((unsigned char)(ch & 0xFF), &offset))
				strings_ascii('\n', NULL);
		}
		if (stOptions.cp932) {
			if (!strings_cp932((unsigned char)(ch & 0xFF), &offset))
				strings_cp932('\n', NULL);
		}
		if (stOptions.eucjp) {
			if (!strings_eucjp((unsigned char)(ch & 0xFF), &offset))
				strings_eucjp('\n', NULL);
		}
		offset++;
	}
#endif

	/* flush */
	if (stOptions.ascii)
		strings_ascii('\n', NULL);
	if (stOptions.cp932)
		strings_cp932('\n', NULL);
	if (stOptions.eucjp)
		strings_eucjp('\n', NULL);

	exit (0);
}