#ifdef WIN32
#include <windows.h>
#include <fcntl.h>
#include <io.h>
#endif

#include <stdio.h>

#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif

/* max length for one 'script' */
/* ASCII  1
   CP932  2
   EUC-JP 3
   UTF-8  3
*/

#define FULLVERSION "jstrings-0.2"
#define MAX_CHARLEN 8
#define MAX_BUFLEN 65536

struct _options {
	unsigned short ascii:1;
	unsigned short eucjp:1;
	unsigned short cp932:1;
	unsigned short show_lang:1;
	unsigned short show_linenumber:1;
	unsigned char  min_len;
} stOptions;

void my_getopts(int, char**);
int strings_ascii(const unsigned char ch, unsigned long *offset);
int strings_cp932(const unsigned char ch, unsigned long *offset);
int strings_eucjp(const unsigned char ch, unsigned long *offset);
